#!/bin/sh
# Скрипт выполняется после удаления файлов проекта Eltex.EMS

# выключить ошибки
set -e

# определение переменных для дальнейшего удобства в скрипте
USER=root
PASS=root
MAIN_DB=qmsdb


	# вычистить за собой базы данных, запрос login для mysql
	echo -n "Enter your mysql administrator login: "
	read ans
	if [ -z $ans ]; then echo "login can't be an empty value"; exit 1; fi
	USER=$ans

	# запрос пароля суперпользователя БД mysql. на экране закрывается звёздочками
	echo -n "Enter your mysql administrator password: "
	stty -echo
	read ans
	PASS=$ans
	echo
	stty echo

	#проверка наличия БД
	if mysqlcheck -u$USER -p$PASS $MAIN_DB
	then
		echo -n "Warning! Drop QMS databases? [y/n]"
    		read ans
		if [ "$ans" != "y" ]; then
			#решили не удалять (зачем-то оставляют)
			echo "Database not deleted."
		else #надо удалить БД (eltex_ems, eltex_ont, eltex_alert)
        		echo "Delete data...";
			if mysql -v -u$USER -p$PASS -e "drop database qmsdb;"
			then
	    			echo "complete"
			else
            			echo "error!"
        		fi
		fi
	fi

exit 0
