/**
 * Функции к файлу admin.html
 * Инициализация таблицы пользователей без прав редактирования
 */
function createUserGrid ( ) {
    jQuery("#users").jqGrid({
       	url: window.location.pathname + '/search',
    	datatype: "json",
    	height: 230,
        width: 1200,
       	colNames:['Пользователь', 'Просмотр пользоват.', 'Редакт. пользоват.', 'Работа с БД', 'Просмотр устройств',
       	            'Каналы MC', 'Редакт. MC', 'Каналы HLS', 'Редакт. HLS', 'Каналы HTTP', 'Редакт. HTTP',
       	            'Каналы RTP', 'Редакт. RTP', 'Просмотр групп', 'Редакт. групп', 'Настройка счетчиков',
       	            'Приложения', 'Редакт. проложений', 'current'],
       	colModel:[
       		{name:'username',index:'username', width:300, fixed:true, sorttype:'string'},
       		{name:'view_users',index:'view_users', align:'center', fixed:true, width:85, sortable:false },
       		{name:'edit_users',index:'edit_users', align:'center', fixed:true, width:85, sortable:false },
       		{name:'work_dumps',index:'work_dumps', align:'center', fixed:true, width:80, sortable:false },
       		{name:'view_devices',index:'view_devices', align:'center', fixed:true, width:80, sortable:false },
       		{name:'view_casts_mc',index:'view_casts_mc', align:'center', fixed:true, width:80, sortable:false },
       		{name:'edit_casts_mc',index:'edit_casts_mc', align:'center', fixed:true, width:80, sortable:false },
       		{name:'view_casts_hls',index:'view_casts_hls', align:'center', fixed:true, width:80, sortable:false },
       		{name:'edit_casts_hls',index:'edit_casts_hls', align:'center', fixed:true,width:80, sortable:false },
       		{name:'view_casts_http',index:'view_casts_http', align:'center', fixed:true, width:80, sortable:false },
            {name:'edit_casts_http',index:'edit_casts_http', align:'center', fixed:true,width:80, sortable:false },
            {name:'view_casts_rtp',index:'view_casts_rtp', align:'center', fixed:true, width:80, sortable:false },
            {name:'edit_casts_rtp',index:'edit_casts_rtp', align:'center', fixed:true,width:80, sortable:false },
       		{name:'view_groups',index:'view_groups', align:'center', fixed:true, width:80, sortable:false },
       		{name:'edit_groups',index:'edit_groups', align:'center', fixed:true, width:80, sortable:false },
       		{name:'edit_counters',index:'edit_counters', align:'center', fixed:true, width:85, sortable:false },
       		{name:'view_applications',index:'view_applications', align:'center', fixed:true, width:80, sortable:false },
       		{name:'edit_applications',index:'edit_applications', align:'center', fixed:true, width:80, sortable:false },
       		{name:'current_user',index:'current_user', width:1, hidden:true }
       	],
       	rowNum:10,
       	gridComplete: function(){
       	    var users = jQuery("#users").jqGrid('getDataIDs');
            if ( users.length > 0 ) {
                try {
                    users.forEach(function(entry) {
                        var row = jQuery("#users").jqGrid('getRowData', entry);
                        if ( row.current_user == 'true' ){
                            jQuery("#users").jqGrid('setSelection',entry,true);
                            throw "Alarm";
                        }
                    });
                } catch ( e ) { }
            }
        },
        beforeSelectRow: function(rowid, e) {
            return false;
        },
       	loadonce: true,
       	rowList:[10,20,30],
       	mtype: "GET",
       	loadError : errorJsonData,
       	pager: '#pusers',
       	sortname: 'username',
        viewrecords: true,
        sortorder: "desc",
        caption:"Список пользователей"
    });
    jQuery("#users").jqGrid('navGrid','#pusers',{edit:false,add:false,del:false,search:false});
    jQuery("#refresh_users").click( function (){
            jQuery("#users").jqGrid('setGridParam',{datatype:'json'}).trigger("reloadGrid");
    });
    jQuery("#users").jqGrid('gridResize',{minWidth:1200,maxWidth:1800,minHeight:230, maxHeight:600});
};

