/*
    Функции к файлу cast_select.html
*/
//При изменении типа ТОП графиков перезагрузить графики
function changeTopType(){

    var select = document.getElementById('topid');
    if ( select.selectedIndex == 0 ){
        return;
    }
    var timeType = document.getElementById('time_type');
    var topType = select[select.selectedIndex].value;
    var pieLink = window.location.pathname + '/sharePieGraph?top_type='
                    + topType + "&time_type=" + timeType[timeType.selectedIndex].value;
    var barLink = window.location.pathname + '/shareBarGraph?top_type='
                    + topType + "&time_type=" + timeType[timeType.selectedIndex].value;
    var url = window.location.href;
    var pieDiv = document.getElementById( 'topPie' );
    var barDiv = document.getElementById( 'topBar' );
    document.getElementById( 'topBarRow' ).style.height = '500px';
    document.getElementById( 'topPieRow' ).style.height = '500px';
    loadGraph( pieDiv, pieLink, "" );
    loadGraph( barDiv, barLink, "" );
};
//загрузка графика
/*
graphDiv - элемент-родитель картинки
link - путь к картинке
descr - описание картинки
*/
function loadGraph( graphDiv, link, descr ){

    var loadingImg = getSimpleImage( '/qms/resources/loading_big.gif', 'Загрузка...' );
    graphDiv.innerHTML = "";
    graphDiv.appendChild( loadingImg );
    setImage( link, descr, graphDiv );
};
//Перезагрузить данные
function reloadData(){

    var timeType = document.getElementById('time_type');
    var graphHref = window.location.pathname + '/graphic?time_type='
                    + timeType[timeType.selectedIndex].value;
    loadGraph( document.getElementById('ratingGraph'), graphHref, "Рейтинги TOP-10 каналов" );
	jQuery("#casts").jqGrid('setGridParam',{url:window.location.pathname + '/search?time_type='
	    + timeType[timeType.selectedIndex].value}).trigger("reloadGrid");
    changeTopType();
};

window.onload = function () {
    var timeType = document.getElementById('time_type');
    var graphHref = window.location.pathname + '/graphic?time_type='
                    + timeType[timeType.selectedIndex].value;
    loadGraph( document.getElementById('ratingGraph'), graphHref, "Рейтинги TOP-10 каналов" );
    createGrid( timeType );
};
