/*
    Табличные данные к cast_select.html c возможностью редактирования
*/
function createGrid ( timeType ) {
    var lastsel;
    jQuery("#casts").jqGrid({
       	url: window.location.pathname + '/search?time_type=' + timeType[timeType.selectedIndex].value ,
    	datatype: "json",
    	height: 400,
        width: 1200,
       	colNames:['Имя узла','Url узла', 'Рейтинг(%)'],
       	colModel:[
       		{name:'short_name',index:'short_name', width:400, sorttype:'string', editable:true, searchoptions:{sopt:[]}},
       		{name:'url',index:'url', width:650, sortable:false, searchoptions:{sopt:[]} },
       		{name:'rating',index:'rating', width:150, align:"right", sorttype:'double', search: false}
       	],
       	rowNum:30,
    //   	rowTotal: 200, //ограничивает кол-во строк
       	rowList:[30,50,100],
       	mtype: "GET",
       	multiSort: true,
    //   	loadonce: true,
    //   	rownumbers: true,
	//    rownumWidth: 40,
	//    gridview: true, //автоматическая нумерация
       	pager: '#pcasts',
       	sortname: 'rating',
        viewrecords: true,
        sortorder: "desc",
        caption:"Список каналов",
        loadError : errorJsonData,
        cellEdit : true,
	    cellsubmit : 'remote',
	    cellurl : window.location.pathname + "/update",
	    beforeEditCell: function (rowid, cellname, value, iRow, iCol) {
	        lastsel = value;
	    },
        afterSubmitCell: function (serverresponse, rowid, cellname, value, iRow, iCol) {
            if ( serverresponse.responseText == "OK" ){
                jQuery("#casts").jqGrid('setRowData',rowid,{short_name:value});
                return [ true, ''];
            } else {
                jQuery("#casts").jqGrid('setRowData',rowid,{short_name:lastsel});
            //    alert( serverresponse.responseText );
                return [ false, serverresponse.responseText ];
            }
        }
    });
    jQuery("#casts").jqGrid('filterToolbar',{searchOperators : true});
    jQuery("#casts").jqGrid('navGrid','#pcasts',{edit:false,add:false,del:false,search:false});
};

function onEdit(){
    alert( "onEdit" );
};

function successFunc( result ){
    alert( result );
};

function checksave( result ) {
	if (result.responseText != "") {alert("Update is missing!"); return false;}
	return true;
}