/*
    Файл для страницы groups.html
    Базовые функции для view_groups
*/
//Перейти к группе
function searchGroup(){
	//get text error area and break old text
	var resp = document.getElementById('invalid_search');
	resp.innerHTML ="&nbsp;";
	//check name of group
	var gname = document.getElementById('s1');
	if (gname.value == ""){
		alert("Введите имя группы!");
		return;
	}
	//create link
	var href = "group_name="+gname.value;
	//create a request
	var myRequest = new Request({
    	url: './groups/search',
    	method: 'get',
    	onSuccess: function(responseText){
    		if (responseText.search('ERROR')>-1){
    			resp.innerHTML = "<font color='red' size='2'>Такой группы не существует...</font>";
    		} else {
    			var tree = $("#available_groups").dynatree("getTree");
        		tree.loadKeyPath(responseText, function(node, status){
    				if(status == "loaded") {
        				// 'node' is a parent that was just traversed.
        				// If we call expand() here, then all nodes will be expanded
        				// as we go
        				node.expand();
    				}else if(status == "ok") {
        				// 'node' is the end node of our path.
        				// If we call activate() or makeVisible() here, then the
        				// whole branch will be exoanded now
        				node.activate();
    				}else if(status == "notfound") {
    					resp.innerHTML = "<font color='red' size='2'>Невозможно открыть группу...</font>";
        				var seg = arguments[2],
          				isEndNode = arguments[3];
    				}
				});
			}
    	},
    	onFailure: function( xhr ){
        	resp.innerHTML = "<font color='red' size='2'>Ошибка связи с сервером...</font>";
        	errorJson( xhr );
    	}
	});
	myRequest.send(href);
};
//Перейти на страницу статистики группы
function getStatistic(){
	var node = $("#available_groups").dynatree("getActiveNode");
	if (!node || node.data.key < 1){
	    showDialog( "Внимание", "Выберите группу!" )
		//alert("Выберите группу!");
		return;
	}
	window.open('./groups/group?group_name='+node.data.title);
//	window.location = './groups/group?group_name='+node.data.title;
};
//Получить устройства для группы
function reloadDevGrid( node ){
    jQuery("#available_devices").jqGrid('setGridParam',{url:window.location.pathname + '/availableDevices?groupid='
            + node}).trigger("reloadGrid")
};