/*
    Фукции к файлу memoryCounterData.html
*/

//Перезагрузить данные на странице
function reloadData ( ) {
    jQuery("#data").jqGrid('setGridParam',{datatype:'json'}).trigger("reloadGrid");
    var myURI = new URI( window.location.href );
    var mac = myURI.getData( 'mac' );
    var counter = myURI.getData( 'counterName' );
    var protocol = myURI.getData( 'protocol' );
    loadGraph( window.location.pathname + "/graphic?mac=" + mac + "&counterName=" + counter + "&protocol=" + protocol );
};

//Создать таблицу
function createGrid( mac, counter, protocol ) {
    var timeType = document.getElementById('time_type');
    jQuery("#data").jqGrid({
        url: window.location.pathname + '/search?mac=' + mac + '&counterName=' + counter + "&protocol=" + protocol ,
    	datatype: "json",
        height: 400,
        width: 1200,
        colNames:['Время прибытия', 'Период', 'Канал', 'Данные'],
        colModel:[
        	{name:'server_time',index:'server_time', width:200, sorttype:'string'},
        	{name:'period',index:'period', width:400, sortable:false },
        	{name:'cast',index:'cast', width:500, sortable:false },
        	{name:'value',index:'value', width:100, sortable: false }
        ],
        rowNum:30,
        loadonce: true,
        groupingView : {
   		    groupField : ['server_time']
   	    },
        rowList:[30,50,100],
        mtype: "GET",
        pager: '#pdata',
        loadError : errorJsonData,
        sortname: 'server_time',
        viewrecords: true,
        sortorder: "asc",
        caption:"Табличные данные"
    });
    jQuery("#data").jqGrid('navGrid','#pdata',{del:false,add:false,edit:false,search:false});
    jQuery("#refresh_data").click (function (){
        jQuery("#data").jqGrid('setGridParam',{datatype:'json'}).trigger("reloadGrid");
    });
};

//Зарузить табличные данные и график из памяти
function loadData() {

    var myURI = new URI( window.location.href );
    var mac = myURI.getData( 'mac' );
    var counter = myURI.getData( 'counterName' );
    var protocol = myURI.getData( 'protocol' );
    createGrid( mac, counter, protocol )
    loadGraph( window.location.pathname + "/graphic?mac=" + mac + "&counterName=" + counter + "&protocol=" + protocol );
};

//загрузка графика
function loadGraph( link ) {

    var graphDiv = document.getElementById( 'graph' );
    var loadingImg = getSimpleImage( '/qms/resources/loading_big.gif', 'Загрузка...' );
    graphDiv.innerHTML = "";
    graphDiv.appendChild( loadingImg );
    setImage( link, "График статистики счетчика", graphDiv );
};

//Как только страница загружена, загрузить данные
window.onload = loadData;