/*
    Фукции к файлу memoryDevice.html
*/
//создать таблицу с параметрами устройства
function createDeviceGrid( mac ) {
    jQuery("#device").jqGrid({
        url: window.location.pathname + '/search?mac=' + mac,
        datatype: "json",
        height: 180,
        width: 600,
        colNames:['Имя параметра','Статус'],
        colModel:[
        	{name:'param',index:'param', width:300, sortable:false, search: false},
        	{name:'value',index:'value', width:300, sortable:false, search: false }
        ],
        rowNum:-1,
        mtype: "GET",
        hidegrid:false,
        beforeSelectRow: function(rowid, e) {
            return false;
        },
        scrollOffset: 0,
        pager: '#pdevice',
        loadError : errorJsonData,
        viewrecords: true,
        caption:"Данные об устройстве"
    });
    jQuery("#device").jqGrid('navGrid','#pdevice',{edit:false,add:false,del:false,search:false});
    jQuery('#pdevice_center').hide();
    jQuery('#pdevice_right').hide();
    var grid = jQuery("#device");
    var gview = grid.parents("div.ui-jqgrid-view");
    gview.children("div.ui-jqgrid-hdiv").hide();
};
//создать таблицу со счетчиками
function createCountersGrid( mac ) {
    jQuery("#counters").jqGrid({
        url: window.location.pathname + '/counters?mac=' + mac,
        datatype: "json",
        height: 250,
        width: 1200,
        colNames:['Счетчики', "Статистика", 'Тип протокола'],
        colModel:[
        	{name:'counter',index:'counter', width:600, sortable:false},
        	{name:'statistic',index:'statistic', width:600, sortable:false, formatter: 'link' },
        	{name:'protocol',index:'protocol', width:1, sortable:false}
        ],
       	rowNum:-1,
       	mtype: "GET",
        viewrecords: true,
        grouping:true,
        loadComplete: function(){
            var alarm = false;
            var counterArray = jQuery("#counters").jqGrid('getDataIDs');
            if ( counterArray.length > 0 ) {
                try {
                    counterArray.forEach(function(entry) {
                        var row = jQuery("#counters").jqGrid('getRowData', entry);
                        if ( row.counter.indexOf("<sup>авар.</sup>") > -1 ){
                            alarm = true;
                            throw "Alarm";
                        }
                    });
                } catch ( e ) {
                }
                if ( alarm ){
                    jQuery('#alarmMessage').html("<font size='3' color='red'>Аварийное устройство</font>");
                } else {
                   // jQuery('#alarmMessage').html("<font size='3'>Неаварийное устройсто</font>");
                }
            } else {
                jQuery('#alarmMessage').html("<font size='3'>Нет оперативных данных по устройству</font>");
            }
        },
        loadError : errorJsonData,
   	    groupingView : {
   		    groupField : ['protocol'],
   		    groupColumnShow : [false],
   		    groupText : ['<b>{0} - {1} Item(s)</b>'],
            groupCollapse : true
   	    },
        caption:"Оперативная статистика устройства"
    });
};
//Перезагрузить данные на странице
function reloadData ( ) {
    var myURI = new URI( window.location.href );
    var mac = myURI.getData( 'mac' );
    jQuery("#counters").jqGrid('setGridParam',{datatype:'json'}).trigger("reloadGrid");
    jQuery("#device").jqGrid('setGridParam',{datatype:'json'}).trigger("reloadGrid");
    loadGraph( window.location.pathname + "/graphic?mac=" + mac );
};

//Зарузить счетчики и график по данным из памяти
function loadData() {

    var myURI = new URI( window.location.href );
    var mac = myURI.getData( 'mac' );
    createDeviceGrid( mac );
    createCountersGrid( mac )
    loadGraph( window.location.pathname + "/graphic?mac=" + mac );
};

//загрузка графика активности
function loadGraph( link ) {

    var graphDiv = document.getElementById( 'activity_graph' );
    var loadingImg = getSimpleImage( '/qms/resources/loading_big.gif', 'Загрузка...' );
    graphDiv.innerHTML = "";
    graphDiv.appendChild( loadingImg );
    setImage( link, "График активности устройства", graphDiv );
};
//Как только страница загружена, загрузить данные
window.onload = loadData;