/*
    Организована работа с двумя datetimepicker`ами, валидация одного при изменении другого
    id`ы у timepicker`ов должны быть 'datepicker_from' и 'datepicker_to'
    Требуется mootools
*/

//Изменить время 'datepicker_to', если не удовлетворяет условиям min и max
function checkTimeEnd( minInterval, maxInterval ) {

    var startTimeField = document.getElementById( 'datepicker_from' ).value;
    var endTimeField = document.getElementById( 'datepicker_to' ).value;
    var startTime = Date.parse( startTimeField, '%d.%m.%Y %H:%M:%S' );
    var endTime = Date.parse( endTimeField, '%d.%m.%Y %H:%M:%S' );
    var timeDiff = endTime - startTime;

	if ( timeDiff < minInterval ) {

	    endTime = new Date( startTime.getTime() + minInterval );
		document.getElementById( 'datepicker_to' ).value = endTime.format( '%d.%m.%Y %H:%M:%S' );

	}

	if ( timeDiff > maxInterval ) {

    	endTime = new Date( startTime.getTime() + maxInterval );
        document.getElementById( 'datepicker_to' ).value = endTime.format( '%d.%m.%Y %H:%M:%S' );

    }

};

//Изменить время 'datepicker_from', если не удовлетворяет условиям min и max
function checkTimeStart( minInterval, maxInterval ) {

	var startTimeField = document.getElementById( 'datepicker_from' ).value;
    var endTimeField = document.getElementById( 'datepicker_to' ).value;
    var startTime = Date.parse( startTimeField, '%d.%m.%Y %H:%M:%S' );
    var endTime = Date.parse( endTimeField, '%d.%m.%Y %H:%M:%S' );
    var timeDiff = endTime - startTime;

    if ( timeDiff < minInterval ) {

        startTime = new Date( endTime - minInterval );
    	document.getElementById( 'datepicker_from' ).value = startTime.format( '%d.%m.%Y %H:%M:%S' );

    }

    if ( timeDiff > maxInterval ) {

       	startTime = new Date( endTime - maxInterval );
        document.getElementById( 'datepicker_from' ).value = startTime.format( '%d.%m.%Y %H:%M:%S' );

    }
};