/*
    Организована работа с двумя datetimepicker`ами и кнопками вправо-влево
    id`ы у timepicker`ов должны быть 'datepicker_from' и 'datepicker_to'
    Требуется mootools
*/

//Обработка кнопки 'Шаг влево'
function leftShift() {

    var startTimeField = document.getElementById( 'datepicker_from' ).value;
    var endTimeField = document.getElementById( 'datepicker_to' ).value;
    var startTime = Date.parse( startTimeField, '%d.%m.%Y %H:%M:%S' );
    var endTime = Date.parse( endTimeField, '%d.%m.%Y %H:%M:%S' );
    var timeDiff = endTime - startTime;
    startTime = new Date( startTime - timeDiff );
    endTime = new Date( endTime - timeDiff );
    document.getElementById( 'datepicker_from' ).value = startTime.format( '%d.%m.%Y %H:%M:%S' );
    document.getElementById( 'datepicker_to' ).value = endTime.format( '%d.%m.%Y %H:%M:%S' );

};

//Обработка кнопки 'Шаг вправо'
function rightShift() {

    var startTimeField = document.getElementById( 'datepicker_from' ).value;
    var endTimeField = document.getElementById( 'datepicker_to' ).value;
    var startTime = Date.parse( startTimeField, '%d.%m.%Y %H:%M:%S' );
    var endTime = Date.parse( endTimeField, '%d.%m.%Y %H:%M:%S' );
    var timeDiff = endTime - startTime;
    startTime = new Date( startTime.getTime() + timeDiff );
    endTime = new Date( endTime.getTime() + timeDiff );
    document.getElementById( 'datepicker_from' ).value = startTime.format( '%d.%m.%Y %H:%M:%S' );
    document.getElementById( 'datepicker_to' ).value = endTime.format( '%d.%m.%Y %H:%M:%S' );

};
