#!/bin/sh

#Скрипт для создания БД проекта Eltex.QMS

USER=root
PASS=root
MAIN_DB=qmsdb

# запрос login для mysql
echo -n "Enter your mysql administrator login: "
read ans
if [ -z $ans ]; then echo "login can't be an empty value"; exit 1; fi
USER=$ans

# запрос пароля суперпользователя БД mysql. на экране закрывается звёздочками
echo -n "Enter your mysql administrator password: "
stty -echo
read ans
PASS=$ans
echo
stty echo

if mysqlcheck -u$USER -p$PASS $MAIN_DB > /dev/null
then
    echo Found database $MAIN_DB
    mysql -u$USER -p$PASS < /usr/share/eltex-qms/base/update/update_from_0.6.2.sql
else
    # предыдущая БД не обнаружена или некорректна - сохранять нечего, безусловно создаю новую
    mysql -u$USER -p$PASS < /usr/share/eltex-qms/base/qmsdb_create.sql
    mysql -u$USER -p$PASS < /usr/share/eltex-qms/base/qmsuser_create.sql
fi

echo ""
echo "Restarting tomcat..."
echo ""

sudo service tomcat6 restart

echo ""
echo "Script finished"
echo ""

exit 0
