/**
 * Функции к файлу admin.html
 * Инициализация таблицы пользователей с правами редактирования
 */
var currentUserId;
function createUserGrid ( ) {
    jQuery("#users").jqGrid({
       	url: window.location.pathname + '/search',
    	datatype: "json",
    	height: 230,
        width: 1200,
       	colNames:['Пользователь', 'Пароль', 'Просмотр пользоват.', 'Редакт. пользоват.',
       	            'Работа с БД', 'Просмотр устройств', 'Каналы MC', 'Редакт. MC', 'Каналы HLS',
       	            'Редакт. HLS', 'Каналы HTTP', 'Редакт. HTTP', 'Каналы RTP', 'Редакт. RTP',
       	            'Просмотр групп', 'Редакт. групп', 'Настройка счетчиков', 'Приложения', 'Редакт. проложений', 'current'],
       	colModel:[
       		{name:'username',index:'username', width:300, fixed:true, sorttype:'string', editable:true },
       		{name:'password',index:'password',width:1, hidden:true, editable:true, editrules: {edithidden:true}, edittype:'password' },
       		{name:'view_users',index:'view_users', align:'center', fixed:true, width:85, sortable:false, editable:true,
       		        editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
       		{name:'edit_users',index:'edit_users', align:'center', fixed:true, width:85, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
       		{name:'work_dumps',index:'work_dumps', align:'center', fixed:true, width:80, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
       		{name:'view_devices',index:'view_devices', align:'center', fixed:true, width:80, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
       		{name:'view_casts_mc',index:'view_casts_mc', align:'center', fixed:true, width:80, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
       		{name:'edit_casts_mc',index:'edit_casts_mc', align:'center', fixed:true, width:80, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
       		{name:'view_casts_hls',index:'view_casts_hls', align:'center', fixed:true, width:80, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
       		{name:'edit_casts_hls',index:'edit_casts_hls', align:'center', fixed:true,width:80, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
            {name:'view_casts_http',index:'view_casts_http', align:'center', fixed:true, width:80, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
            {name:'edit_casts_http',index:'edit_casts_http', align:'center', fixed:true,width:80, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
            {name:'view_casts_rtp',index:'view_casts_rtp', align:'center', fixed:true, width:80, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
            {name:'edit_casts_rtp',index:'edit_casts_rtp', align:'center', fixed:true,width:80, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
       		{name:'view_groups',index:'view_groups', align:'center', fixed:true, width:80, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
       		{name:'edit_groups',index:'edit_groups', align:'center', fixed:true, width:80, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
       		{name:'edit_counters',index:'edit_counters', align:'center', fixed:true, width:85, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
            {name:'view_applications',index:'view_applications', align:'center', fixed:true, width:80, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
            {name:'edit_applications',index:'edit_applications', align:'center', fixed:true, width:80, sortable:false, editable:true,
                    editoptions:{value:"0:Нет;1:Да"}, edittype:'select' },
       		{name:'current_user',index:'current_user', width:1, hidden:true, editable:false }
       	],
       	rowNum:10,
       	loadComplete: function(){
       	    var users = jQuery("#users").jqGrid('getDataIDs');
            if ( users.length > 0 ) {
                try {
                    users.forEach(function(entry) {
                        var row = jQuery("#users").jqGrid('getRowData', entry);
                        if ( row.current_user == 'true' ){
                            currentUserId = entry;
                            $("#"+entry).addClass('ui-jqdrid-disable-row');
                            throw "Alarm";
                        }
                    });
                } catch ( e ) { }
            }
        },
       	loadonce: true,
       	rowList:[10,20,30],
       	hidegrid:false,
       	beforeSelectRow: function(rowid) {
            if ( rowid == currentUserId ) {
                $("#edit_" + this.id).addClass('ui-state-disabled');
                $("#del_" + this.id).addClass('ui-state-disabled');
            } else {
                $("#edit_" + this.id).removeClass('ui-state-disabled');
                $("#del_" + this.id).removeClass('ui-state-disabled');
            }
            return true;
        },
       	mtype: "GET",
       	pager: '#pusers',
       	sortname: 'username',
       	loadError : errorJsonData,
        viewrecords: true,
        editurl:window.location.pathname + '/update',
        sortorder: "desc",
        caption:"Список пользователей"
    });
    jQuery("#users").jqGrid('navGrid','#pusers',{search:false}, editOptions, editOptions, deleteOptions);
    jQuery("#refresh_users").click( function (){
            jQuery("#users").jqGrid('setGridParam',{datatype:'json'}).trigger("reloadGrid");
    });
    jQuery("#users").jqGrid('gridResize',{minWidth:1200,maxWidth:1800,minHeight:230, maxHeight:600});
};

//define handler for 'editSubmit', 'addSubmit', deleteSubmit' events
var fn_editSubmit=function(response,postdata){
    var json=response.responseText;
    var result=eval("("+json+")");
    jQuery("#users").jqGrid('setGridParam',{datatype:'json'}).trigger('reloadGrid');
    return [result.success,result.message,result.id];
}
//define edit options for navGrid
var editOptions = {
  closeOnEscape: true,
  afterSubmit: fn_editSubmit,
  width: 500,
  beforeShowForm: function ( ) {
        $("#pData, #nData").hide();
        $('<a href="#">Выбрать все</a>')
            .click(function() {
                var theValue = "1";
                $('#view_users').val(theValue).prop('selected',true);
                $('#edit_users').val(theValue).prop('selected',true);
                $('#work_dumps').val(theValue).prop('selected',true);
                $('#view_devices').val(theValue).prop('selected',true);
                $('#view_casts_mc').val(theValue).prop('selected',true);
                $('#view_casts_hls').val(theValue).prop('selected',true);
                $('#edit_casts_mc').val(theValue).prop('selected',true);
                $('#edit_casts_hls').val(theValue).prop('selected',true);
                $('#view_casts_http').val(theValue).prop('selected',true);
                $('#edit_casts_http').val(theValue).prop('selected',true);
                $('#view_casts_rtp').val(theValue).prop('selected',true);
                $('#edit_casts_rtp').val(theValue).prop('selected',true);
                $('#view_groups').val(theValue).prop('selected',true);
                $('#edit_groups').val(theValue).prop('selected',true);
                $('#edit_counters').val(theValue).prop('selected',true);
                $('#view_applications').val(theValue).prop('selected',true);
                $('#edit_applications').val(theValue).prop('selected',true);
            }).addClass("fm-button ui-state-default ui-corner-all")
              .prependTo("#Act_Buttons>td.EditButton");
    }
};
//define handler for 'editSubmit', 'addSubmit', deleteSubmit' events
var fn_deleteSubmit=function(response,postdata){
    var json=response.responseText;
    var result=eval("("+json+")");
    return [result.success,result.message,result.id];
}
//define delete options for navGrid
var deleteOptions = {
  closeOnEscape: true,
  afterSubmit: fn_deleteSubmit,
  width: 500
};
