/*
    Фукции к файлу counters.html
*/

//Зарузить максимальное время агрегирования и счетчики
function loadData() {

    loadMaxTime( );

    createCountersGrid( );

};
//сделать активной кнопку
function enableTimeButton(){
    document.getElementById('timeButton').disabled = false;
};

//сделать активной кнопку
function enableButton( button ){
    button.disabled = false;
};
//Установить новое значение макс. время агрегирования
function setMaxTime(){

    var e = document.getElementById("select");
    var id = e.options[e.selectedIndex].value;
    var message = document.getElementById( 'alarm_interval' );
    var myRequest = new Request({
        url: window.location.href + '/maxAggregationTime',
        method: 'get',
        onRequest: function(){
            message.innerHTML = '<font size="2">loading...</font>';
        },
        onSuccess: function( responseText ){
            message.innerHTML = '<font size="2">' + responseText + '</font>';
        },
        onFailure: function( xhr ){
            message.innerHTML = '<font size="2" color="red">Error in connection with server</font>';
            errorJson( xhr );
        }
    }).send( "time_type=" + id );
};

//получить макс. время агрегирования
function loadMaxTime( ) {

    var message = document.getElementById( 'alarm_interval' );
    var myRequest = new Request({
        url: window.location.href + '/maxAggregationTime',
        method: 'get',
        onRequest: function(){
            message.innerHTML = '<font size="2">loading...</font>';
        },
        onSuccess: function( responseText ){
            message.innerHTML = '';
            var select = document.getElementById("select");
            for ( var i = 0; i < select.options.length; i++ ) {
                if (responseText == select.options[i].value ){
                    select.options[i].selected = true;
                    break;
                }
            }
        },
        onFailure: function( xhr ){
            message.innerHTML = '<font size="2" color="red">Error in connection with server</font>';
            errorJson( xhr );
        }
    }).send();
};

//Обновить тип агрегирования для счетчика
//@deprecated
function updateAgrType( counterName, agrType, protocol, device_type ){

    var myRequest = new Request({
            url: window.location.href + '/aggregationType',
            method: 'get',
            onSuccess: function( responseText ){
                showDialog( "Успешно", responseText);
            },
            onFailure: function( xhr ){
                errorJson( xhr );
            }
        }).send( "counterName=" + counterName + "&aggregation=" + agrType + "&protocol=" + protocol
                                                                         + "&device_type=" + device_type );
};

//Обновить данные для счетчика(тип агрегирования, макс и мин границы)
function updateCounter( rowId ){

    var rowData         = jQuery('#counters').jqGrid ('getRowData', rowId);
    var elementSelect   = jQuery(rowData.aggregation_title)[0];//По сути это select в строке
    var elementMax      = jQuery(rowData.max)[0];
    var elementMin      = jQuery(rowData.min)[0];

    var select          = document.getElementById( elementSelect.id );
    var aggregationType = select[select.selectedIndex].value;

    var max , min;
    if ( elementMax != null && elementMin != null ) {
        max             = document.getElementById( elementMax.id ).value;
        min             = document.getElementById( elementMin.id ).value;
    }
    var counter         = rowData.counter;
    var protocol        = rowData.protocol;
    var device_type     = rowData.device_type;
    console.log("counterName="+counter+"&max="+max+"&min="+min+"&protocol="+protocol+"&aggregation="+aggregationType
                                                                                         +"&device_type="+device_type);
    var myRequest = new Request({
            url: window.location.href + '/update',
            method: 'get',
            onSuccess: function( responseText ){
                showDialog( "Успешно", responseText);
            },
            onFailure: function( xhr ){
                errorJson( xhr );
            }
    });
    if ( elementMax != null && elementMin != null ){
        myRequest.send("counterName="+counter+"&max="+max+"&min="+min+"&protocol="+protocol+"&aggregation="+aggregationType
                                                                         +"&device_type="+device_type);
    } else {
        myRequest.send("counterName="+counter+"&protocol="+protocol+"&aggregation="+aggregationType+"&device_type="+device_type);
    }
};

//создать таблицу со счетчиками используя JQuery
function createCountersGrid() {
    var lastsel2;
    jQuery("#counters").jqGrid({
        url: window.location.href + '/availableServerCounters',
        datatype: "json",
        height: 500,
        width: 1200,
        colNames:['counter', 'Имя счетчика', 'aggregation', 'Тип агрегации', 'device_type', 'counter_type','protocol_type',
                    'editoptions', 'counter_type_title', 'Минимальная граница*', 'Максимальная граница*', ' '],
        colModel:[
        	{name:'counter',index:'counter', hidden: true },
        	{name:'meaning',index:'meaning', align: "left", width:750, sortable:false, formatter: formatColor },
        	{name:'aggregation',index:'aggregation', hidden: true },
        	{name:'aggregation_title',index:'aggregation_title', align: "right", width:180, sortable:false, editable: true, edittype: 'select' },
        	{name:'device_type',index:'device_type', hidden: true, formatter:deviceTypeFormatter },
        	{name:'counter_type',index:'counter_type', hidden: true },
        	{name:'protocol',index:'protocol', hidden: true},
        	{name:'editoptions',index:'editoptions', hidden: true},
        	{name:'counter_type_title',index:'counter_type_title', hidden: true },
        	{name:'min',index:'min', align: "center", width:120, sortable:false, editable: true, edittype: 'text'},
        	{name:'max',index:'max', align: "center", width:120, sortable:false, editable: true, edittype: 'text'},
        	{name:'action',index:'action', width:26, sortable:false }
        ],
       	rowNum:-1,
       	mtype: "GET",
       	loadError : errorJsonData,
        grouping:true,
        loadComplete: function () {
            var rowIds  = jQuery("#counters").jqGrid('getDataIDs');
            //Берем модели колонок для изменяемых полей
            var cm      = jQuery('#counters').jqGrid('getColProp', 'aggregation_title');
            var maxCm   = jQuery('#counters').jqGrid('getColProp', 'max');
            var minCm   = jQuery('#counters').jqGrid('getColProp', 'min');
            jQuery.each(rowIds, function (i, row) {
                var rowData = $("#counters").getRowData(row);
                var se = "<input style='height:22px;width:25px;' type='button' value='S' onclick=\"updateCounter('"+row+"');\"/>";
                jQuery("#counters").jqGrid('setRowData',row,{action:se});
                //Выставляем editoptions для строки
                cm.editoptions = {
                    value: rowData.editoptions
                };
                //Если тип счетчика STATISTIC, запрещаем изменение
                if ( rowData.counter_type == "STATISTIC" ) {
                    maxCm.editable = false;
                    minCm.editable = false;
                }
                //Сохраняем изменения для строки
                jQuery('#counters').jqGrid('editRow', row);
                //Возвращаем все настройки моделей
                cm.editoptions = {
                    value: ''
                };
                if ( rowData.counter_type == "STATISTIC" ) {
                    maxCm.editable = true;
                    minCm.editable = true;
                }
            });
        },
   	    groupingView : {
   		    groupField : ['device_type', 'counter_type_title', 'protocol'],
   		    groupColumnShow : [false, false, false],
            groupText : ['<b>Устройства {0}</b>', '<i>{0}</i>', '<i>{0} - {1} Item(s)</i>'],
            groupOrder: ['asc', 'asc', 'asc'],
            groupCollapse : true
   	    },
        caption:"Настройка счетчиков"
    });
};

//Форматировать тип устройства
function deviceTypeFormatter ( cellvalue, options, rowObject ) {
    if ( cellvalue != 'TC') {
        cellvalue = cellvalue + 'x';
    }
    return cellvalue;
};

//Изменить цвет имени счетчика
function formatColor ( cellvalue, options, rowObject ) {
    return '<span style="color:#006400;">' + cellvalue + '</span>';
};

//Как только страница загружена, загрузить данные
window.onload = loadData;