/*
* Функции для работы файла device_select.html
*/
//Перезагрузить данные
function reloadData(){
    var timeType = document.getElementById('time_type');
    jQuery("#time_type").click( function() {
	    jQuery("#devices").jqGrid('setGridParam',{url:window.location.pathname + '/search?time_type='
	    + timeType[timeType.selectedIndex].value}).trigger("reloadGrid")
    });
};
//Создать таблицу
function createGrid() {
    var timeType = document.getElementById('time_type');
    jQuery("#devices").jqGrid({
        url: window.location.pathname + '/search?time_type=' + timeType[timeType.selectedIndex].value ,
    	datatype: "json",
        height: 600,
        width: 1200,
        colNames:['Активность', 'MAC', 'C/H', 'Тип', 'IP', 'Группа',
           	            'Версия ПО', 'Статистика', 'Оперативные данные'],
        colModel:[
        	{name:'last_session',index:'last_session', width:145, sorttype:'string', search: false},
        	{name:'mac',index:'mac', width:125, sortable:false, searchoptions:{sopt:['eq','ne']} },
        	{name:'serial',index:'serial', width:95, sortable:false, searchoptions:{sopt:['eq','ne']}},
        	{name:'product_type',index:'product_type', width:55, sorttype:'string', searchoptions:{sopt:['eq','ne']} },
        	{name:'ip',index:'ip', width:105, sortable:false, searchoptions:{sopt:['eq','ne']}},
        	{name:'group_name',index:'group_name', width:130, sorttype:'string', searchoptions:{sopt:['eq','ne']}},
        	{name:'software_version',index:'software_version', width:200, sortable:false, searchoptions:{sopt:['eq','ne']} },
        	{name:'statistic',index:'statistic', width:85, sortable:false, search: false, formatter: 'link'},
        	{name:'memory',index:'memory', width:160, sortable:false, search: false, formatter: 'link' }
        ],
        rowNum:30,
        rowList:[30,50,100],
        mtype: "GET",
        multiSort: true,
    //    shrinkToFit :false,
        pager: '#pdevices',
        sortname: 'last_session',
        viewrecords: true,
        loadError : errorJsonData,
        sortorder: "desc",
        caption:"Список устройств"
    });
    jQuery("#devices").jqGrid('navGrid','#pdevices',{del:false,add:false,edit:false},{},{},{},{multipleSearch:true});
    jQuery("#devices").jqGrid('gridResize',{minWidth:1200,maxWidth:1800,minHeight:400, maxHeight:800});
    /*
    jQuery("#devices").jqGrid ('navButtonAdd', '#pdevices',
             { caption: "", buttonicon: "ui-icon-calculator",
               title: "Choose Columns",
               onClickButton: function() {
                    grid.jqGrid('columnChooser');
               }
             });*/
    jQuery("#devices").jqGrid('navButtonAdd','#pdevices',{
        caption: "Колонки",
        title: "Reorder Columns",
        onClickButton : function (){
            jQuery("#devices").jqGrid('columnChooser', {
                done : function (perm) {
                    if (perm) {
                      //  var gwdth = this.jqGrid("getGridParam","width");
                        // "OK" button are clicked
                        this.jqGrid("remapColumns", perm, true);
                        // the grid width is probably changed co we can get new width
                        // and adjust the width of other elements on the page
                        this.jqGrid("setGridWidth",1200);
                    } else {
                        // we can do some action in case of "Cancel" button clicked
                    }
                }
            });
         //   jQuery("#devices").jqGrid('columnChooser', );
        }
    });
};

window.onload = createGrid;

