/*
*  JQGrid для списка фильтров group_stat.html с редактированием
*/
//Создать таблицу
function createGrid( groupName ) {
    jQuery("#filters").jqGrid({
        url: window.location.pathname + '/filters?group_name=' + groupName ,
    	datatype: "json",
        height: 230,
        width: 1200,
        colNames:['IP адрес', 'Маска'],
        colModel:[
        	{name:'ip',index:'ip', width:600, sorttype:'string', editable:true},
        	{name:'mask',index:'mask', width:600, sortable:false, editable:true, editoptions:{value:"0:0.0.0.0/0;" +
        	        "1:128.0.0.0/1;2:192.0.0.0/2;3:224.0.0.0/3;4:240.0.0.0/4;5:248.0.0.0/5;6:252.0.0.0/6;7:254.0.0.0/7;" +
        	        "8:255.0.0.0/8;9:255.128.0.0/9;10:255.192.0.0/10;11:255.224.0.0/11;12:255.240.0.0/12;" +
        	        "13:255.248.0.0/13;14:255.252.0.0/14;15:255.254.0.0/15;16:255.255.0.0/16;17:255.255.128.0/17;" +
        	        "18:255.255.192.0/18;19:255.255.224.0/19;20:255.255.240.0/20;21:255.255.248.0/21;" +
        	        "22:255.255.252.0/22;23:255.255.254.0/23;24:255.255.255.0/24;25:255.255.255.128/25;" +
        	        "26:255.255.255.192/26;27:255.255.255.224/27;28:255.255.255.240/28;29:255.255.255.248/29;" +
        	        "30:255.255.255.252/30;31:255.255.255.254/31;32:255.255.255.255/32"}, edittype:'select'}
        ],
        rowNum:10,
        rowList:[10,20,30],
        mtype: "GET",
        loadonce: true,
        pager: '#pfilters',
        loadError : errorJsonData,
        sortname: 'ip',
        viewrecords: true,
        editurl:window.location.pathname + '/filters/update?group_name=' + groupName,
        sortorder: "desc",
        caption:"Актуальные фильтры"
    });
    jQuery("#filters").jqGrid('navGrid','#pfilters',{edit:false,search:false, refresh:false}, {}, editOptions, deleteOptions);
};

//define handler for 'editSubmit' event
var fn_editSubmit=function(response,postdata){
    var json=response.responseText; //in my case response text form server is "{sc:true,msg:''}"
    var result=eval("("+json+")"); //create js object from server reponse
    jQuery("#filters").jqGrid('setGridParam',{datatype:'json'}).trigger('reloadGrid');
    return [result.success,result.message,result.id];
}

//define handler for  'deleteSubmit' event
var fn_deleteSubmit=function(response,postdata){
    var json=response.responseText; //in my case response text form server is "{sc:true,msg:''}"
    var result=eval("("+json+")"); //create js object from server reponse
    return [result.success,result.message,result.id];
}

//define edit options for navGrid
var editOptions = {
  closeOnEscape: true,
  afterSubmit: fn_editSubmit
}

//define delete options for navGrid
var deleteOptions = {
  closeOnEscape: true,
  afterSubmit: fn_deleteSubmit
}