function setLastDateDiapason(item){
    var startTime = document.getElementById("datepickerFrom");
    var endTime = document.getElementById("datepickerTo");
    endDate = new Date();
    endTime.value = endDate.format("%d.%m.%Y %H:%M:%S");
    switch(item){
        case "0":
            break;
        case "2":
            startTime.value = (new Date(endDate - 2*60*60*1000)).format("%d.%m.%Y %H:%M:%S");
            break;
        case "4":
            startTime.value = (new Date(endDate - 4*60*60*1000)).format("%d.%m.%Y %H:%M:%S");
            break;
        case "6":
            startTime.value = (new Date(endDate - 6*60*60*1000)).format("%d.%m.%Y %H:%M:%S");
            break;
        case "8":
            startTime.value = (new Date(endDate - 8*60*60*1000)).format("%d.%m.%Y %H:%M:%S");
            break;
        case "12":
            startTime.value = (new Date(endDate - 12*60*60*1000)).format("%d.%m.%Y %H:%M:%S");
            break;
        case "16":
            startTime.value = (new Date(endDate - 16*60*60*1000)).format("%d.%m.%Y %H:%M:%S");
            break;
        case "24":
            startTime.value = (new Date(endDate - 24*60*60*1000)).format("%d.%m.%Y %H:%M:%S");
            break;
    };
};
function shiftOnLeft(){
    setSelectOnDefault();
    var diapason_select = document.getElementById("shift_time");
    var diapason = diapason_select[diapason_select.selectedIndex].value;
    var startTime = document.getElementById("datepickerFrom");
    var endTime = document.getElementById("datepickerTo");
    var oldFromDate = Date.parse(startTime.value, '%d.%m.%Y %H:%M:%S');
    var step;
    switch(diapason){
        case "2":
            step = 2*60*60*1000;
            break;
        case "4":
            step = 4*60*60*1000;
            break;
        case "6":
            step = 6*60*60*1000;
            break;
        case "8":
            step = 8*60*60*1000;
            break;
        case "12":
            step = 12*60*60*1000;
            break;
        case "16":
            step = 16*60*60*1000;
            break;
        case "24":
            step = 24*60*60*1000;
            break;
    }
    var fromDate = new Date(oldFromDate.getTime() - step);
    startTime.value = fromDate.format("%d.%m.%Y %H:%M:%S");
    endTime.value = (new Date(fromDate.getTime() + step)).format("%d.%m.%Y %H:%M:%S");
};
function shiftOnRight(){
    setSelectOnDefault();
    var diapason_select = document.getElementById("shift_time");
    var diapason = diapason_select[diapason_select.selectedIndex].value;
    var startTime = document.getElementById("datepickerFrom");
    var endTime = document.getElementById("datepickerTo");
    var oldFromDate = Date.parse(startTime.value, '%d.%m.%Y %H:%M:%S');
    var step;
    switch(diapason){
        case "2":
            step = 2*60*60*1000;
            break;
        case "4":
            step = 4*60*60*1000;
            break;
        case "6":
            step = 6*60*60*1000;
            break;
        case "8":
            step = 8*60*60*1000;
            break;
        case "12":
            step = 12*60*60*1000;
            break;
        case "16":
            step = 16*60*60*1000;
            break;
        case "24":
            step = 24*60*60*1000;
            break;
    }
    var fromDate = new Date(oldFromDate.getTime() + step);
    startTime.value = fromDate.format("%d.%m.%Y %H:%M:%S");
    endTime.value = (new Date(fromDate.getTime() + step)).format("%d.%m.%Y %H:%M:%S");
};
function refreshImage(){
     var uri = new URI(window.location.href);
     var file = uri.get( 'file');
     if( file != '' ){
        file = file + "/";
     }
     uri.set("file", file + "graphic");
     uri.setData("timeStart", document.getElementById("datepickerFrom").value);
     uri.setData("timeEnd", document.getElementById("datepickerTo").value);
     var img = document.getElementById('img');
     img.innerHTML = "<img src='"+uri.toString()+"' border='0' alt='Просмотр недоступен'  height='800' width='1200'/>"
};
function defaultImage(){
    var lastDate = document.getElementById("last_time_select");
    lastDate.selectedIndex = 1;
    setLastDateDiapason("2");
};
function setSelectOnDefault(){
    var lastDate = document.getElementById("last_time_select");
    lastDate.selectedIndex = 0;
};
function checkLimit(element){
    setSelectOnDefault();
    var startTime = document.getElementById("datepickerFrom");
    var endTime = document.getElementById("datepickerTo");
    var startDate = Date.parse(startTime.value, '%d.%m.%Y %H:%M:%S');
    var endDate = Date.parse(endTime.value, '%d.%m.%Y %H:%M:%S');
    var period = endDate - startDate;
    var day = 24*60*60000;
    if ( period > day ){
        if (element == startTime){
            endDate = new Date(endDate - (period - day));
            endTime.value = endDate.format("%d.%m.%Y %H:%M:%S");
        } else {
            startDate = new Date(startDate.getTime() + (period - day));
            startTime.value = startDate.format("%d.%m.%Y %H:%M:%S");
        }
    }
};